Bug 640746 - (CVE-2010-3763) CVE-2010-3763 MantisBT: XSS in Summary page
CVE-2010-3763 MantisBT: XSS in Summary page
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100830,reported=20101005,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-06 14:31 EDT by Jan Lieskovsky
Modified: 2016-03-04 05:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-21 17:25:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-10-06 14:31:24 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-3763 to
the following vulnerability:

Cross-site scripting (XSS) vulnerability in core/summary_api.php in
MantisBT before 1.2.3 allows remote attackers to inject arbitrary web
script or HTML via the Summary field, a different vector than
CVE-2010-3303.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3763
[2] http://www.openwall.com/lists/oss-security/2010/09/14/12
[3] http://www.openwall.com/lists/oss-security/2010/09/14/13
[4] http://www.mantisbt.org/bugs/changelog_page.php?version_id=111
[5] http://www.mantisbt.org/bugs/view.php?id=12309

Proposed patch from the reporter:
[6] http://www.mantisbt.org/bugs/file_download.php?file_id=3017&type=bug
Comment 1 Jan Lieskovsky 2010-10-06 14:32:53 EDT
The above listed patch [6] seems to be applicable to current versions
of the mantis package, as shipped with Fedora release of 12 and 13.

Please fix.
Comment 2 Gianluca Sforna 2011-02-21 17:25:33 EST
This was fixed in mantis 1.1.8-5

Not sure why it was not closed automatically

Note You need to log in before you can comment on or make changes to this bug.